Maybe* is compatible with the following versions of the most popular web browsers:

  1. Chrome - 70 and above
  2. Firefox - 55 and above
  3. Safari - 8 and above

If you are struggling to access your Maybe* account, try updating your web browser and this should fix the issue. 

Here are links if you need support in updating:

  1. Support for updating Chrome
  2. Support for updating Firefox 
  3. Support for updating Safari 

If you need further help, please contact us via the blue speech bubble, bottom right of your screen.

Did this answer your question?